# md5

fun SourceBytes . md5 (): MD5 (source)

Computes the MD5 hash of this byte array and returns it as a lowercase hex string.

#### Return

The MD5 hash as a 32-character lowercase hex string

fun SourceString . md5 (): MD5 (source)

Computes the MD5 hash of this string (encoded as UTF-8 bytes) and returns it as a lowercase hex string.

#### Return

The MD5 hash as a 32-character lowercase hex string